# MSP::CCS::GEOREFCoordinates Class Reference

`#include <GEOREFCoordinates.h>`

Inheritance diagram for MSP::CCS::GEOREFCoordinates:

List of all members.

## Public Member Functions

| GEOREFCoordinates ()
| GEOREFCoordinates (CoordinateType::Enum _coordinateType)
| GEOREFCoordinates (CoordinateType::Enum _coordinateType, const char *__GEOREFString)
| GEOREFCoordinates (CoordinateType::Enum _coordinateType, const char *__GEOREFString, Precision::Enum __precision)
| GEOREFCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, const char *__GEOREFString, Precision::Enum __precision)
| GEOREFCoordinates (const GEOREFCoordinates &gc)
| ~GEOREFCoordinates ()
GEOREFCoordinates & | operator= (const GEOREFCoordinates &gc)
void | set (char __GEOREFString[21])
char * | GEOREFString ()
Precision::Enum | precision () const

## Detailed Description

Definition at line 16 of file GEOREFCoordinates.h.

## Constructor & Destructor Documentation

GEOREFCoordinates::GEOREFCoordinates | ( |  | ) |

Definition at line 10 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::GEOREFCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 18 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::GEOREFCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __GEOREFString |
| ) |  |  |

Definition at line 26 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::GEOREFCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __GEOREFString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 35 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::GEOREFCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | const char * | __GEOREFString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 44 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::GEOREFCoordinates | ( | const GEOREFCoordinates & | gc | ) |

Definition at line 57 of file GEOREFCoordinates.cpp.

GEOREFCoordinates::~GEOREFCoordinates | ( |  | ) |

Definition at line 72 of file GEOREFCoordinates.cpp.

## Member Function Documentation

char * GEOREFCoordinates::GEOREFString | ( |  | ) |

Definition at line 104 of file GEOREFCoordinates.cpp.

GEOREFCoordinates & GEOREFCoordinates::operator= | ( | const GEOREFCoordinates & | gc | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 77 of file GEOREFCoordinates.cpp.

Precision::Enum GEOREFCoordinates::precision | ( |  | ) | const

Definition at line 110 of file GEOREFCoordinates.cpp.

void GEOREFCoordinates::set | ( | char | __GEOREFString[21] | ) |

Definition at line 97 of file GEOREFCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GEOREFCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GEOREFCoordinates.cpp